variable "k8s_config_yaml" {
  description = "Content of k8s config yaml file"
  type        = string
}

variable "wait_on" {
  type        = string
  description = "Variable to wait on"
  default     = true
}

variable "namespace" {
  type = string
}

variable "architecture" {
  type = string
  validation {
    condition     = var.architecture == "standalone" || var.architecture == "replication"
    error_message = "Architecture must be either standalone or replication"
  }
  default = "standalone"
}
